Page MenuHomePhabricator

"Run" button not re-enabled after some queries fail
Closed, ResolvedPublic

Description

Some errors don't cause the run button to be re-enabled and the "Running query" banner does not go away.

I've seen this happen when the server returns 502 (see screenshot on T146576), 504 and when running queries which I'm assuming are over the URL length limit (displays the error "ERROR: Could not contact server").

I would expect these errors to be handled like other errors, with the "Running query" banner removed once the query has failed and the "Run" button re-enabled.

Event Timeline

Nikki created this task.Oct 1 2016, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2016, 11:47 AM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptOct 1 2016, 12:04 PM

Maybe a "stop" button would help.

Nikki added a comment.Oct 2 2016, 2:41 PM

There's another ticket somewhere for that. I'd link to it, but I can't find anything with Phabricator's search lately.

It would make it easier for users to work around the problem, but it wouldn't really fix the underlying issue.

I don't have much luck with Phab-search either .. I can't even find tickets I have read before ;)

Smalyshev triaged this task as Normal priority.Oct 2 2016, 8:29 PM
Smalyshev moved this task from All WDQS-related tasks to GUI on the Wikidata-Query-Service board.
Smalyshev added a subscriber: Jonas.
Smalyshev added a subscriber: Smalyshev.

The query cancelling task is T136479.

Change 315505 had a related patch set uploaded (by Jonas Kress (WMDE)):
Refactor error extraction and move to api

https://gerrit.wikimedia.org/r/315505

Jonas moved this task from Proposed to Review on the Wikidata-Sprint-2016-10-12 board.

Change 315505 merged by jenkins-bot:
Refactor error extraction and move to api

https://gerrit.wikimedia.org/r/315505

Jonas closed this task as Resolved.Oct 13 2016, 9:01 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.